Bug 547263 (CVE-2009-4306) - CVE-2009-4306 kernel: ext4: BUG_ON() via EXT4_IOC_MOVE_EXT ioctl
Summary: CVE-2009-4306 kernel: ext4: BUG_ON() via EXT4_IOC_MOVE_EXT ioctl
Keywords:
Status: CLOSED NOTABUG
Alias: CVE-2009-4306
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
high
high
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 547264 547265 570357
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-12-14 06:23 UTC by Eugene Teo (Security Response)
Modified: 2019-09-29 12:33 UTC (History)
9 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-09-09 02:18:52 UTC


Attachments (Terms of Use)

Description Eugene Teo (Security Response) 2009-12-14 06:23:01 UTC
Description of problem:
Name: CVE-2009-4306
Status: Candidate
URL: http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2009-4306
Final-Decision: 
Interim-Decision: 
Modified: 
Proposed: 
Assigned: 20091212
Category: 
Reference: MISC:http://grsecurity.org/test/grsecurity-2.1.14-2.6.32-200912112157.patch
Reference: MISC:http://twitter.com/fotisl/statuses/6568947714
Reference: MISC:http://twitter.com/spendergrsec/statuses/6551797457
Reference: MISC:http://twitter.com/spendergrsec/statuses/6567167692
Reference: MISC:http://twitter.com/spendergrsec/statuses/6569596339
Reference: MISC:http://twitter.com/spendergrsec/statuses/6572069107
Reference: MISC:http://twitter.com/spendergrsec/statuses/6583954567
Reference: MISC:http://twitter.com/tytso/statuses/6571730411

Unspecified vulnerability in the EXT4_IOC_MOVE_EXT (aka move extents) ioctl implementation in the ext4 filesystem in the Linux kernel 2.6.32-git6 and earlier allows local users to cause a denial of service (filesystem corruption) via unknown vectors, a different vulnerability than CVE-2009-4131.

Comment 8 Eugene Teo (Security Response) 2009-12-24 02:14:28 UTC
Upstream could not reproduce the issue, and so do not have a fix for this :/


Note You need to log in before you can comment on or make changes to this bug.